/* ==========================================================================
   ==========================================================================
   Aleck Plumbing
   ==========================================================================
   ========================================================================== */










/* ==========================================================================
   ==========================================================================
   Footer
   ==========================================================================
   ========================================================================== */

.footer {
    width: 100%;
	overflow: hidden;
	background-color: #00257d;
}

.footer:before, 
.footer:after {
    height: 100%;
    content: '';
    position: absolute;
    top: 0;
    background-size: 100% auto;
    background-position: top left;
    background-repeat: no-repeat;
    pointer-events: none;
}

.footer:before {
    width: 43.944rem;
    left: 337px;
    z-index: 5;
    background-image: url(../img/content/stripe-dark-blue.svg);
    mix-blend-mode: multiply;
}

.footer:after {
    width: 37rem;
    left: 337px;
    z-index: 6;
    background-image: url(../img/content/stripe-light-blue.svg);
    opacity: 0.8;
}

@media (max-width: 1200px) {

    .footer:before {
        width: 35.944rem;
        left: 272px;
    }
	
	.footer:after {
		width: 28rem;
        left: 272px;
	}
}

@media (max-width: 980px) {

    .footer:before {
        left: 252px;
    }
	
	.footer:after {
        left: 252px;
	}
}

@media (max-width: 760px) {
	
	.footer:before,
	.footer:after {
    	top: 70%;;
		left: auto;
		transform: rotate(50deg);
	}

    .footer:before {
    	right: -160px;
    }
	
	.footer:after {
        right: -107px;
	}
}

.footer__wrapper {
    margin: 0 auto;
    width: 100%;
}

.footer-row:first-child {
    padding: 5.556rem 50px;
	min-height: 420px;
	color: #fff;
    justify-content: flex-start;
	flex-wrap: wrap;
	display: flex;
}

.footer-row:last-child {
    padding: 0.556rem 50px;
    justify-content: space-between;
	display: flex;
	background-color: #fff;
}

@media (max-width:1640px) {
	
	.footer-row:first-child {
		justify-content: space-between;
	}

	.footer-row:last-child {
		flex-wrap: wrap;
    	justify-content: flex-start;
	}
}

@media (max-width:980px) {
    
    .footer-row:first-child {
		padding: 5.556rem 35px;
	}

	.footer-row:last-child {
		padding: 0.556rem 35px;
	}
}

@media (max-width:760px) {
    
    .footer-row:first-child {
		padding: 5.556rem 25px;
	}

	.footer-row:last-child {
		padding: 0.556rem 25px;
	}
}

.footer-col--certifications {
	width: 45%;
}

.footer-col--menu {
	width: 16%;
}

.footer-col--phone {
	width: 21%;
}

.footer-col--buttons {
	margin-left: auto;
	width: 15rem;
}

@media (max-width:1640px) {

	.footer-col--certifications,
	.footer-col--phone {
		width: 65%;
	}
	
	.footer-col--menu,
	.footer-col--buttons {
		width: 15rem;
	}
	
	.footer-col--buttons {
		margin-left: 0;
		margin-top: 1.389rem;
	}
}

@media (max-width:980px) {
	
	.footer-col--menu,
	.footer-col--phone,
	.footer-col--buttons {
		width: 100%;
    	margin-top: 1.389rem;
	}
	
	.footer-col--menu {
		margin-top: 3.611rem;
	    order: 4;
	}

	
	.footer-col--phone {
		margin-top: 1.667rem;
	}
}

.footer__content--certifications {
	width: 100%;
	max-width: 300px;
    flex-wrap: wrap;
	display: flex;
}

.footer__content--menu,
.footer__content--phone {
	padding-right: 20%;
}

@media (max-width:1640px) {

	.footer__content--phone {
		padding-right: 0;
		max-width: 300px;
	}

	.footer__content--menu {
		padding-right: 0;
	}
}

@media (max-width:980px) {

	.footer__content--phone {
		max-width: 280px;
		flex-direction: column-reverse;
		flex-wrap: wrap;
		display: flex;
	}
}

.footer-logo__img {
	width: 12.778rem;
}


/* ==========================================================================
   Footer Certifications
   ========================================================================== */

.certifications-menu {
	margin-top: 0.556rem;
	margin-left: -0.556rem;
	width: calc(100% + 1.111rem);
	flex-wrap: wrap;
	display: flex;
}

.certifications-menu__item {
	margin: 1.111rem 0.556rem 0;
	width: auto;
	height: 4.889rem;
}

.certifications-menu__item img {
	width: auto;
	height: 100%;
}


/* ==========================================================================
   Footer Social
   ========================================================================== */

.social-menu__item {
	margin: 1.389rem 0.556rem 0 0;
}

.social-menu__list {
	display: flex;
}

.social-menu__btn {
	width: 2.111rem;
	height: 2.111rem;
    color: #fff !important;
	text-decoration: none !important;
	display: flex;
	background-color: #0cadec;
	border-radius: 50%;
    transition: color .4s ease, background .4s ease;
}

.no-touch-device .social-menu__btn:hover {
    color: #00257d !important;
	background-color: #fff;
}

.social-menu__btn i {
	width: 100%;
	font-size: 1.111rem;
	line-height: 2.111rem;
	font-weight: 400 !important;
	text-align: center;
}


/* ==========================================================================
   Footer Menu
   ========================================================================== */

.footer-menu .menu-item:not(:first-child) {
	margin-top: 0.556rem;
}

.footer-menu a {
	font-size: 1rem;
	line-height: 1.5rem;
	font-weight: 400 !important;
    text-decoration: none !important;
    transition: color .4s ease;
}

.no-touch-device .footer-menu a:hover {
	color: #0cadec !important;
}


/* ==========================================================================
   Phone
   ========================================================================== */

.footer__phone {
	padding-left: 1.944rem;
}

.footer__phone:before {
    width: 1.944rem;
    height: 100%;
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    background-image: url(../img/content/phone-form-icon.svg);
    background-size: auto 100%;
    background-position: center left;
    background-repeat: no-repeat;
	filter: brightness(0) invert(1);
    pointer-events: none;
}


/* ==========================================================================
   Tagline
   ========================================================================== */

.footer__tagline {
	margin-top: 1.667rem;
}

@media (max-width:980px) {

	.footer__tagline {
		margin-top: 0;
		margin-bottom: 3.333rem;
	}
}


/* ==========================================================================
   Bottom Footer
   ========================================================================== */

.bottom-menu .menu-item:not(:first-child) {
	margin-top: 1.389rem;
}

.bottom-menu a {
    padding: 0.9445rem 1.667rem;
	min-width: 15rem;
	max-width: 15rem;
    font-family: 'Open Sans', sans-serif;
    color: #fff !important;
    font-size: 0.889rem;
    line-height: 100%;
    font-weight: 600 !important;
    text-decoration: none !important;
    justify-content: center;
    border: none;
    display: flex;
    background-color: #0cadec;
    border-radius: 1.389rem;
    transition: color .4s ease, background .4s ease;
    box-shadow: none;
    cursor: pointer;
    pointer-events: all;
}

.no-touch-device .bottom-menu a:hover {
    color: #00257d !important;
	background-color: #fff;
}

@media (max-width:760px) {
    
    .bottom-menu a {
		font-size: 1rem;
    	min-width: 15.833rem;
	}
}





/* ==========================================================================
   Footer Copyright
   ========================================================================== */

.footer__copyright,
.footer__license {
	font-size: 0.667rem;
	line-height: 1rem;
}

@media (max-width:1640px) {
    
    .footer__copyright,
	.footer__license {
		width: 100%;
	}
}

.footer__copyright a,
.footer__license a {
	color: #00257d !important;
	font-weight: 400 !important;
	text-decoration: none !important;
	transition: color .4s ease;
}

.footer__copyright a {
	margin-left: 1.111rem;
}

.footer__copyright a:first-of-type {
	margin-left: 0.889rem;
}

.footer__copyright a:before {
	content: '|';
    position: absolute;
	left: -0.556rem;
    top: 50%;
    transform: translate(-50%, -50%);
}

.no-touch-device .footer__copyright a:hover,
.no-touch-device .footer__license a:hover {
	color: #0cadec !important;
}

@media (max-width:1200px) {
	
	.footer__copyright a:first-of-type {
		margin-left: 0;
	}
    
    .footer__copyright a:first-of-type:before {
		display: none;
	}
}

.footer__copyright br {
	display: none;
}

@media (max-width:1200px) {
    
    .footer__copyright br {
		display: block;
	}
}









